[commit][2901] Add a script to create a trunk VMMaker image derived from Squeak 4.5.

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

[commit][2901] Add a script to create a trunk VMMaker image derived from Squeak 4.5.

commits-3
 
Revision: 2901
Author:   eliot
Date:     2014-04-22 13:25:44 -0700 (Tue, 22 Apr 2014)
Log Message:
-----------
Add a script to create a trunk VMMaker image derived from Squeak 4.5.

Added Paths:
-----------
    branches/Cog/image/BuildSqueakTrunkImage.st
    branches/Cog/image/buildsqueaktrunkimage.sh

Added: branches/Cog/image/BuildSqueakTrunkImage.st
===================================================================
--- branches/Cog/image/BuildSqueakTrunkImage.st                        (rev 0)
+++ branches/Cog/image/BuildSqueakTrunkImage.st 2014-04-22 20:25:44 UTC (rev 2901)
@@ -0,0 +1,12 @@
+"Change the defaut update URL to that for trunk, then install a DummyUIManager
+ to avoid the post-update OK box, then update, the restore the UIManager."
+| uim |
+uim := Project current uiManager.
+[Project current instVarNamed: 'uiManager' put: DummyUIManager new.
+ MCMcmUpdater
+ defaultUpdateURL: 'http://source.squeak.org/trunk';
+ updateFromServer]
+ ensure: [Project current instVarNamed: 'uiManager' put: uim].
+
+"don't use fileIn; it causes an error when the saved image is started"
+Compiler evaluate: (FileStream oldFileNamed: 'BuildSqueak45Image.st') contentsOfEntireFile
Added: branches/Cog/image/buildsqueaktrunkimage.sh
===================================================================
--- branches/Cog/image/buildsqueaktrunkimage.sh                        (rev 0)
+++ branches/Cog/image/buildsqueaktrunkimage.sh 2014-04-22 20:25:44 UTC (rev 2901)
@@ -0,0 +1,34 @@
+#!/bin/bash
+SQUEAK45APP=Squeak-4.5-All-in-One.app
+SQUEAK45RESOURCES=$SQUEAK45APP/Contents/Resources
+SQUEAK45=$SQUEAK45RESOURCES/Squeak4.5-13680
+
+if [ "`md5 -q \"$SQUEAK45\".image`" != 1d0d4320224b741da1f56c6871963702 ]; then
+ ZIP=Squeak-4.5-All-in-One.zip
+ if [ "`md5 -q $ZIP`" != b90e0303ab61e928a5d997b22d18b468 ]
+ then
+ wget --help >/dev/null || (echo 'could not find wget.  you can find instructions on how to install it on google.' 1>&2; exit 1)
+ wget -c http://ftp.squeak.org/4.5/$ZIP
+ fi
+ unzip --help >/dev/null || (echo 'could not find unzip.  you can find instructions on how to install it on google.' 1>&2; exit 1)
+ unzip $ZIP
+fi
+test -f SqueakV41.sources || ln $SQUEAK45RESOURCES/SqueakV41.sources .
+cp -p $SQUEAK45.image CogVMMaker.image
+cp -p $SQUEAK45.changes CogVMMaker.changes
+
+OS=`uname -s`
+CPU=`uname -m`
+
+case $OS in
+Darwin) VM="$SQUEAK45APP/Contents/MacOS/Squeak";;
+CYGWIN*) VM="$SQUEAK45APP/SqueakConsole.exe";;
+Linux) if [ "$CPU" = x86_64 ]; then
+ CPU=i686
+ echo Running 32-bit Squeak on a 64-bit System. Hope the 32-bit runtime libraries are installed ...
+ fi
+ VM="$APP/Contents/$OS-$CPU/bin/squeak";;
+*) echo "don't know how to run Squeak on your system.  bailing out." 1>&2; exit 2
+esac
+
+exec "$VM" CogVMMaker.image BuildSqueakTrunkImage.st BuildSqueak45Image.st


Property changes on: branches/Cog/image/buildsqueaktrunkimage.sh
___________________________________________________________________
Added: svn:executable
   + *

Reply | Threaded
Open this post in threaded view
|

Re: [commit][2901] Add a script to create a trunk VMMaker image derived from Squeak 4.5.

Tobias Pape
 
Hey
On 22.04.2014, at 22:25, [hidden email] wrote:

> +"Change the defaut update URL to that for trunk, then install a DummyUIManager
> + to avoid the post-update OK box, then update, the restore the UIManager."
> +| uim |
> +uim := Project current uiManager.
> +[Project current instVarNamed: 'uiManager' put: DummyUIManager new.
> + MCMcmUpdater
> + defaultUpdateURL: 'http://source.squeak.org/trunk';
> + updateFromServer]
> + ensure: [Project current instVarNamed: 'uiManager' put: uim].

what about just

[MCMcmUpdater
        defaultUpdateURL: 'http://source.squeak.org/trunk';
        updateFromServer
] valueSupplyingAnswer: {true}
?


signature.asc (1K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: [commit][2901] Add a script to create a trunk VMMaker image derived from Squeak 4.5.

Eliot Miranda-2
 
Hi Tobias,


On Tue, Apr 22, 2014 at 1:55 PM, Tobias Pape <[hidden email]> wrote:
 
Hey
On 22.04.2014, at 22:25, [hidden email] wrote:

> +"Change the defaut update URL to that for trunk, then install a DummyUIManager
> + to avoid the post-update OK box, then update, the restore the UIManager."
> +| uim |
> +uim := Project current uiManager.
> +[Project current instVarNamed: 'uiManager' put: DummyUIManager new.
> + MCMcmUpdater
> +     defaultUpdateURL: 'http://source.squeak.org/trunk';
> +     updateFromServer]
> +     ensure: [Project current instVarNamed: 'uiManager' put: uim].

what about just

[MCMcmUpdater
        defaultUpdateURL: 'http://source.squeak.org/trunk';
        updateFromServer
] valueSupplyingAnswer: {true}
?

When I try this:

    [UIManager inform: 'foo!'] valueSupplyingAnswer: #('true') 

I still see the OK confirmer pop up and I still have to click it to dismiss it.  Should it work?  Is this a bug in 4.5?
--
best,
Eliot
Reply | Threaded
Open this post in threaded view
|

Re: [commit][2901] Add a script to create a trunk VMMaker image derived from Squeak 4.5.

Bob Arning-2
 
That's a string, bit a boolean. Does that matter?

On 4/22/14 5:12 PM, Eliot Miranda wrote:
  [UIManager inform: 'foo!'] valueSupplyingAnswer: #('true') 

I still see the OK confirmer pop up and I still have to click it to dismiss it.  Should it work?  Is this a bug in 4.5?

Reply | Threaded
Open this post in threaded view
|

Re: [commit][2901] Add a script to create a trunk VMMaker image derived from Squeak 4.5.

Tobias Pape
In reply to this post by Eliot Miranda-2
 
Hi Eliot

On 22.04.2014, at 23:12, Eliot Miranda <[hidden email]> wrote:

> Hi Tobias,
>
>
> On Tue, Apr 22, 2014 at 1:55 PM, Tobias Pape <[hidden email]> wrote:
>  
> Hey
> On 22.04.2014, at 22:25, [hidden email] wrote:
>
> > +"Change the defaut update URL to that for trunk, then install a DummyUIManager
> > + to avoid the post-update OK box, then update, the restore the UIManager."
> > +| uim |
> > +uim := Project current uiManager.
> > +[Project current instVarNamed: 'uiManager' put: DummyUIManager new.
> > + MCMcmUpdater
> > +     defaultUpdateURL: 'http://source.squeak.org/trunk';
> > +     updateFromServer]
> > +     ensure: [Project current instVarNamed: 'uiManager' put: uim].
>
> what about just
>
> [MCMcmUpdater
>         defaultUpdateURL: 'http://source.squeak.org/trunk';
>         updateFromServer
> ] valueSupplyingAnswer: {true}
> ?
>
> When I try this:
>
>     [UIManager inform: 'foo!'] valueSupplyingAnswer: #('true')
>
> I still see the OK confirmer pop up and I still have to click it to dismiss it.  Should it work?  Is this a bug in 4.5?

I mistyped my thing. Stealing your example, this works:

        [UIManager inform: 'foo!'] valueSupplyingAnswer: true

Best
        -Tobias

signature.asc (1K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: [commit][2901] Add a script to create a trunk VMMaker image derived from Squeak 4.5.

Eliot Miranda-2
 



On Tue, Apr 22, 2014 at 2:22 PM, Tobias Pape <[hidden email]> wrote:
 
Hi Eliot

On 22.04.2014, at 23:12, Eliot Miranda <[hidden email]> wrote:

> Hi Tobias,
>
>
> On Tue, Apr 22, 2014 at 1:55 PM, Tobias Pape <[hidden email]> wrote:
>
> Hey
> On 22.04.2014, at 22:25, [hidden email] wrote:
>
> > +"Change the defaut update URL to that for trunk, then install a DummyUIManager
> > + to avoid the post-update OK box, then update, the restore the UIManager."
> > +| uim |
> > +uim := Project current uiManager.
> > +[Project current instVarNamed: 'uiManager' put: DummyUIManager new.
> > + MCMcmUpdater
> > +     defaultUpdateURL: 'http://source.squeak.org/trunk';
> > +     updateFromServer]
> > +     ensure: [Project current instVarNamed: 'uiManager' put: uim].
>
> what about just
>
> [MCMcmUpdater
>         defaultUpdateURL: 'http://source.squeak.org/trunk';
>         updateFromServer
> ] valueSupplyingAnswer: {true}
> ?
>
> When I try this:
>
>     [UIManager inform: 'foo!'] valueSupplyingAnswer: #('true')
>
> I still see the OK confirmer pop up and I still have to click it to dismiss it.  Should it work?  Is this a bug in 4.5?


I mistyped my thing. Stealing your example, this works:

        [UIManager inform: 'foo!'] valueSupplyingAnswer: true

Best
        -Tobias

Thanks!!
--
best,
Eliot